## rasmol 2.6b2

=== Makefile ===
# Makefile.in
# RasMol2 Molecular Graphics
# Roger Sayle, March 1995
# Version 2.6

# Simply edit CC and CFLAGS for your local compiler/system
# For Sun OpenWindows, add "-I/usr/openwin/include" to CFLAGS

#CC = gcc
#CFLAGS = -g -O2 -finline-functions

CC = cc
CFLAGS = -O


#CFLAGS_sun4     = -O4
#CFLAGS_sun3     = -O4 -f68881
#CFLAGS_hp9000   = -O +bfpa
#CFLAGS_sequent  = -O -f1167
#CFLAGS_mips     = -O2 -Olimit 800
#CFLAGS_gcc2.0   = -O2 -funroll-all-loops
#CFLAGS_esv      = -O2 -Olimit 800 -systype bsd43
#CFLAGS_hpux9    = -Ae +O2 +Onolimit
#CFLAGS_hpux9new = -Ae +O4 +Onolimit +Oconservative +ESlit -I/usr/include/X11R5
#CFLAGS_sgi      = -O2 -xansi -DFUNCPROTO
#CFLAGS_gcc      = -O -fomit-frame-pointer -fstrength-reduce -finline-functions

# For Debugging use LFLAGS = 
LFLAGS = -s

# -lXi required if using DIALBOX
EXTLIBS = -lm -lXi -lXext -lX11

# Library path required for HPUX
# LIBS = -lm -L/usr/lib/X11R5 -lXext -lX11
# -lXextSam required by MITSHM on RS600 AIX
# LIBS = -lm -lXextSam -lXext -lX11

# -lmmioc required for MMIO
# -L. -lXext -lX11 -lmmioc -lm

# On SUN Solaris systems when compiling RasMol with the SOCKETS option
# LIBS = -lXext -lX11 -lm -lsocket -lnsl 

# Normal Libraries
LIBS = -lm -lXext -lX11



SRCS = rasmol.c molecule.c infile.c transfor.c command.c abstree.c \
       render.c repres.c x11win.c pixutils.c outfile.c script.c

OBJS = rasmol.o molecule.o infile.o transfor.o command.o abstree.o \
       render.o repres.o x11win.o pixutils.o outfile.o script.o


rasmol:		$(OBJS)
		$(CC) -o rasmol $(LFLAGS) $(OBJS) $(LIBS)
		chmod 755 rasmol

rasmol.o:	rasmol.c rasmol.h molecule.h transfor.h command.h \
		abstree.h render.h graphics.h pixutils.h outfile.h
		$(CC) -c $(CFLAGS) rasmol.c

molecule.o:	molecule.c molecule.h rasmol.h command.h abstree.h \
		transfor.h render.h
		$(CC) -c $(CFLAGS) molecule.c

infile.o:	infile.c infile.h
		$(CC) -c $(CFLAGS) infile.c

transfor.o:	transfor.c transfor.h rasmol.h molecule.h command.h \
		abstree.h render.h graphics.h
		$(CC) -c $(CFLAGS) transfor.c

command.o:	command.c command.h rasmol.h tokens.h abstree.h \
		molecule.h transfor.h render.h graphics.h pixutils.h \
                outfile.h
		$(CC) -c $(CFLAGS) command.c

abstree.o:	abstree.c abstree.h rasmol.h molecule.h
		$(CC) -c $(CFLAGS) abstree.c

render.o:	render.c render.h rasmol.h molecule.h transfor.h \
		command.h abstree.h graphics.h pixutils.h
		$(CC) -c $(CFLAGS) render.c

repres.o:	repres.c repres.h rasmol.h
		$(CC) -c $(CFLAGS) repres.c

x11win.o:	x11win.c graphics.h rasmol.h bitmaps.h command.h render.h
		$(CC) -c $(CFLAGS) x11win.c

pixutils.o:	pixutils.c pixutils.h rasmol.h font.h molecule.h \
		transfor.h render.h graphics.h
		$(CC) -c $(CFLAGS) pixutils.c

outfile.o:	outfile.c outfile.h rasmol.h molecule.h command.h \
		abstree.h transfor.h render.h graphics.h pixutils.h \
		script.h
		$(CC) -c $(CFLAGS) outfile.c

script.o:	script.c script.h rasmol.h molecule.h command.h \
		abstree.h transfor.h render.h graphics.h pixutils.h
		$(CC) -c $(CFLAGS) script.c


esv:		rasmol.c rasmol.h molecule.c molecule.h transfor.c \
                transfor.h command.c command.h abstree.c abstree.h \
		render.c render.h x11win.c graphics.h pixutils.c \
		pixutils.h outfile.c outfile.h script.c script.h tokens.h
		cc -systype bsd43 -O3 -Olimit 600 -s -o rasmol \
		-I/bsd43/usr/include -I/usr/include $(SRCS) $(EXTLIBS)
		rm *.u

cflow:
		cflow -I/usr/local/include $(SRCS)

clean:
		rm -f rasmol $(OBJS)

## rasmol 2.7.2.1.1

=== doc/Makefile ===
CC = cc
CFLAGS = -O2

prepdoc:	prepdoc.c
		$(CC) $(CFLAGS) -o prepdoc prepdoc.c

rasmol.txt:	prepdoc rasmol.doc
		rm -f rasmol.txt
		prepdoc -text rasmol.doc > rasmol.txt

rasmol.html:	prepdoc rasmol.doc
		rm -f rasmol.html
		prepdoc -html rasmol.doc > rasmol.html

rasmol.hlp:	prepdoc rasmol.doc
		rm -f rasmol.hlp
		prepdoc -help rasmol.doc > rasmol.hlp

rasmol.tex:	prepdoc rasmol.doc
		rm -f rasmol.tex
		prepdoc -latex rasmol.doc > rasmol.tex

raswin.rtf:	prepdoc rasmol.doc
		rm -f raswin.rtf
		prepdoc -rtf rasmol.doc > raswin.rtf

rasmol.man:	prepdoc rasmol.doc
		rm -f rasmol.man
		prepdoc -troff rasmol.doc > rasmol.man

rasmol.vms:	prepdoc rasmol.doc
		rm -f rasmol.vms
		prepdoc -vms rasmol.doc > rasmol.vms

all:		rasmol.txt rasmol.hlp rasmol.html raswin.rtf rasmol.vms

=== src/Makefile ===
# Makefile generated by imake - do not edit!
# $Xorg: imake.c,v 1.6 2001/02/09 02:03:15 xorgcvs Exp $

# ----------------------------------------------------------------------
# Makefile generated from "Imake.tmpl" and </tmp/IIf.5wgEgE>
# $Xorg: Imake.tmpl,v 1.4 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/Imake.tmpl,v 3.116.2.1 2002/09/04 02:38:08 dawes Exp $
# ----------------------------------------------------------------------

all::

.SUFFIXES: .i

# $Xorg: Imake.cf,v 1.4 2000/08/17 19:41:45 cpqbld Exp $

# $XFree86: xc/config/cf/Imake.cf,v 3.74 2001/11/16 16:47:50 dawes Exp $

# -----------------------------------------------------------------------
# site-specific configuration parameters that need to come before
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# $XFree86: xc/config/cf/xf86site.def,v 3.179 2002/01/16 18:36:00 dawes Exp $

# ----------------------------------------------------------------------
# platform-specific configuration parameters - edit darwin.cf to change

# platform:  $XFree86: xc/config/cf/darwin.cf,v 1.21.2.1 2002/05/03 00:36:17 torrey Exp $

# operating system:  Darwin (6.8.0)

# $XFree86: xc/config/cf/darwinLib.rules,v 1.4.2.1 2002/07/16 22:03:05 torrey Exp $

# $XFree86: xc/config/cf/xfree86.cf,v 3.388 2002/01/03 22:51:54 alanh Exp $

# $Xorg: xfree86.cf,v 1.4 2000/08/17 19:41:49 cpqbld Exp $

DRIVERSDKDIR = $(USRLIBDIR)/Server
DRIVERSDKMODULEDIR = $(USRLIBDIR)/Server/modules
DRIVERSDKINCLUDEDIR = $(USRLIBDIR)/Server/include

       XF86SRC = $(SERVERSRC)/hw/xfree86
    XF86COMSRC = $(XF86SRC)/common
 XF86PARSERSRC = $(XF86SRC)/parser
     XF86OSSRC = $(XF86SRC)/os-support
 XF86DRIVERSRC = $(XF86SRC)/drivers
     DRIVERSRC = $(XF86DRIVERSRC)

        XFREE86DOCDIR = $(DOCDIR)
      XFREE86PSDOCDIR = $(DOCPSDIR)
    XFREE86HTMLDOCDIR = $(DOCHTMLDIR)
XFREE86JAPANESEDOCDIR = $(DOCDIR)/Japanese

# $Xorg: xf86.rules,v 1.3 2000/08/17 19:41:48 cpqbld Exp $

# $XFree86: xc/config/cf/xf86.rules,v 3.34 2001/07/19 02:22:44 tsi Exp $

APPLE_XP_INCDIR ?= /usr/X11R6/include/xp
APPLE_XP_LIBDIR ?= /usr/X11R6/lib
APPLE_XP_LIB = -L$(APPLE_XP_LIBDIR) -lapplexp

EXTRA_FREETYPE2_REQUIREDLIBS = -framework CoreServices 	-framework ApplicationServices

# ----------------------------------------------------------------------
# site-specific configuration parameters that go after
# the platform-specific parameters - edit site.def to change

# site:  $TOG: site.sample /main/r64_final/1 1998/02/05 16:28:49 kaleb $

# site:  $XFree86: xc/config/cf/site.def,v 3.24 2000/06/25 20:17:29 dawes Exp $

# ---------------------------------------------------------------------
# Imake rules for building libraries, programs, scripts, and data files
# rules:  $Xorg: Imake.rules,v 1.3 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# rules:  $XFree86: xc/config/cf/Imake.rules,v 3.102 2001/12/17 20:00:37 dawes Exp $

GLIDE2INCDIR =

GLIDE3INCDIR =

GLIDE3LIBNAME =

TKLIBNAME =

TKLIBDIR =

TCLLIBNAME =

TCLIBDIR =

          PATHSEP = /
            SHELL = /bin/sh

              TOP = .
      CURRENT_DIR = .

            IMAKE = imake
           DEPEND = gccmakedep
        MKDIRHIER = mkdir -p
          REVPATH = revpath
    EXPORTLISTGEN =
             RMAN = rman
      RMANOPTIONS = -f HTML
        CONFIGSRC = $(TOP)/config
         IMAKESRC = $(CONFIGSRC)/imake
        DEPENDSRC = $(CONFIGSRC)/util

          INCROOT = /usr/X11R6/include
        USRLIBDIR = /usr/X11R6/lib
           VARDIR = /var
        VARLIBDIR = $(VARDIR)/lib
  SYSTEMUSRLIBDIR = /usr/lib
  SYSTEMUSRINCDIR = /usr/include
         SHLIBDIR = /usr/X11R6/lib
       LINTLIBDIR = $(USRLIBDIR)/lint
          MANPATH = /usr/X11R6/man
    MANSOURCEPATH = $(MANPATH)/man
           MANDIR = $(MANSOURCEPATH)$(MANSUFFIX)
        LIBMANDIR = $(MANSOURCEPATH)$(LIBMANSUFFIX)
       FILEMANDIR = $(MANSOURCEPATH)$(FILEMANSUFFIX)
       MISCMANDIR = $(MANSOURCEPATH)$(MISCMANSUFFIX)
     DRIVERMANDIR = $(MANSOURCEPATH)$(DRIVERMANSUFFIX)
     LOGDIRECTORY = $(VARDIR)/log

               AR = ar clq
  BOOTSTRAPCFLAGS =
               CC = /usr/bin/cc
               AS = as

.SUFFIXES: .cc

              CXX = /usr/bin/c++
          CXXFILT = c++filt
           CXXLIB =
    CXXDEBUGFLAGS = -g -O2
CXXDEPENDINCLUDES =
 CXXEXTRA_DEFINES =
CXXEXTRA_INCLUDES =
   CXXSTD_DEFINES = -D__powerpc__ -D__DARWIN__ -DNO_ALLOCA -DX_LOCALE $(CXXPROJECT_DEFINES)
       CXXOPTIONS =
      CXXINCLUDES = $(INCLUDES) $(TOP_INCLUDES) $(CXXEXTRA_INCLUDES)
       CXXDEFINES = $(CXXINCLUDES) $(CXXSTD_DEFINES) $(THREADS_CXXDEFINES) $(DEFINES) $(CXXEXTRA_DEFINES)
         CXXFLAGS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(THREADS_CXXFLAGS) $(CXXDEFINES)

         COMPRESS = compress
          GZIPCMD = gzip
              CPP = /usr/bin/cpp $(STD_CPP_DEFINES)
           RAWCPP = /usr/bin/cpp $(STD_CPP_OPTIONS)
    PREPROCESSCMD = /usr/bin/cc -E $(STD_CPP_DEFINES)
          INSTALL = install
     INSTALLFLAGS = -c -o root -g wheel
               LD = ld
              LEX = lex
               M4 = m4
          M4FLAGS =
           LEXLIB = -ll
             YACC = yacc
           CCYACC = yacc
             LINT = lint
      LINTLIBFLAG = -C
         LINTOPTS = -axz
               LN = ln -s
             MAKE = make
               MV = mv -f
               CP = cp

           RANLIB = ranlib
  RANLIBINSTFLAGS =

               RM = rm -f
             PERL = perl
         PERLOPTS =
        MANSUFFIX = 1
     LIBMANSUFFIX = 3
    FILEMANSUFFIX = 5
    MISCMANSUFFIX = 7
  DRIVERMANSUFFIX = 4
     MANSRCSUFFIX = man
     MANNEWSUFFIX = _man
          MANDEFS = -D__apploaddir__=$(XAPPLOADDIR) -D__filemansuffix__=$(FILEMANSUFFIX) -D__miscmansuffix__=$(MISCMANSUFFIX) -D__drivermansuffix__=$(DRIVERMANSUFFIX) -D__projectroot__=$(PROJECTROOT) $(XORGMANDEFS) $(VENDORMANDEFS)

   COMPRESSMANCMD = gzip -n

            TROFF = groff -Tps
            NROFF = nroff
         MSMACROS = -ms
        MANMACROS = -man
              TBL = tbl
              EQN = eqn
             NEQN = neqn
              COL = col
         COLFLAGS = -b
            MODCC = /usr/bin/cc
           MODCPP = /usr/bin/cpp
        MODCFLAGS = $(CFLAGS)
            MODAS = as
       MODASFLAGS =
            MODLD = ld
       MODLDFLAGS =
MODLDCOMBINEFLAGS = -X -r
            MODAR = ar clq
        MODRANLIB = ranlib

     STD_INCLUDES =
  STD_CPP_OPTIONS =
  STD_CPP_DEFINES =   -D__powerpc__ -D__DARWIN__ -DNO_ALLOCA -DX_LOCALE $(PROJECT_DEFINES)
      STD_DEFINES = -D__powerpc__ -D__DARWIN__ -DNO_ALLOCA -DX_LOCALE $(PROJECT_DEFINES)
 EXTRA_LOAD_FLAGS =
  EXTRA_LDOPTIONS =
  EXTRA_LIBRARIES =
             TAGS = ctags

   PARALLELMFLAGS =

    SHAREDCODEDEF =
         SHLIBDEF =

     SHLIBLDFLAGS = -dynamiclib

         PICFLAGS = -dynamic

      CXXPICFLAGS = -dynamic

    PROTO_DEFINES =

     INSTPGMFLAGS =

     INSTBINFLAGS = -m 0755
     INSTUIDFLAGS = -m 4711
     INSTLIBFLAGS = -m 0644
     INSTINCFLAGS = -m 0444
     INSTMANFLAGS = -m 0444
     INSTDATFLAGS = -m 0444
    INSTKMEMFLAGS = -m 4711

      PROJECTROOT = /usr/X11R6

      CDEBUGFLAGS = -g -O2
        CCOPTIONS = -Wall -Wpointer-arith -no-cpp-precomp

      ALLINCLUDES = $(INCLUDES) $(EXTRA_INCLUDES) $(TOP_INCLUDES) $(INSTALLED_INCLUDES) $(STD_INCLUDES)
       ALLDEFINES = $(ALLINCLUDES) $(STD_DEFINES) $(PROTO_DEFINES) $(THREADS_DEFINES) $(MODULE_DEFINES) $(DEFINES) $(EXTRA_DEFINES)
           CFLAGS = $(CDEBUGFLAGS) $(CCOPTIONS) $(THREADS_CFLAGS) $(MODULE_CFLAGS) $(ALLDEFINES)
        LINTFLAGS = $(LINTOPTS) -DLINT $(ALLDEFINES) $(DEPEND_DEFINES)
         LDPRELIB = -L$(USRLIBDIR)
        LDPOSTLIB =
        LDOPTIONS = $(CDEBUGFLAGS) $(CCOPTIONS)  $(EXTRA_LDOPTIONS) $(THREADS_LDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)
     CXXLDOPTIONS = $(CXXDEBUGFLAGS) $(CXXOPTIONS) $(EXTRA_LDOPTIONS) $(THREADS_CXXLDFLAGS) $(LOCAL_LDFLAGS) $(LDPRELIBS)

           LDLIBS = $(LDPOSTLIBS) $(THREADS_LIBS) $(SYS_LIBRARIES) $(EXTRA_LIBRARIES)

           CCLINK = $(CC)

          CXXLINK = $(CXX)

     LDSTRIPFLAGS = -x
   LDCOMBINEFLAGS = -X -r
      DEPENDFLAGS =
   DEPEND_DEFINES = -DUSE_MAKEDEPEND

# Not sure this belongs here
         TKLIBDIR =
         TKINCDIR =
        TKLIBNAME =
        TKLIBRARY = -L$(TKLIBDIR) -l$(TKLIBNAME)
        TCLLIBDIR =
        TCLINCDIR =
       TCLLIBNAME =
       TCLLIBRARY = -L$(TCLLIBDIR) -l$(TCLLIBNAME)

        MACROFILE = darwin.cf
           RM_CMD = $(RM)

    IMAKE_DEFINES =

         IRULESRC = $(CONFIGDIR)
        IMAKE_CMD = $(IMAKE) -DUseInstalled -I$(IRULESRC) $(IMAKE_DEFINES)

     ICONFIGFILES = $(IRULESRC)/Imake.tmpl $(IRULESRC)/X11.tmpl 			$(IRULESRC)/site.def $(IRULESRC)/$(MACROFILE) 			$(IRULESRC)/xfree86.cf $(IRULESRC)/xf86.rules $(IRULESRC)/xf86site.def $(IRULESRC)/host.def $(EXTRA_ICONFIGFILES)

# $Xorg: X11.rules,v 1.4 2000/08/17 19:41:46 cpqbld Exp $

# $XFree86: xc/config/cf/X11.rules,v 1.6 2001/01/17 16:22:31 dawes Exp $

# ----------------------------------------------------------------------
# X Window System Build Parameters and Rules
# $Xorg: X11.tmpl,v 1.6 2000/08/17 19:41:46 cpqbld Exp $
#
#
#
#
# $XFree86: xc/config/cf/X11.tmpl,v 1.141.2.1 2002/09/04 02:38:08 dawes Exp $

XORGRELSTRING = Release 6.6
XORGMANNAME = X Version 11

VENDORMANNAME = XFree86
VENDORMANVERSION = Version `echo 4 2 1 | sed 's/ /./g'`

STICKY_DEFINES = -DHAS_STICKY_DIR_BIT

FCHOWN_DEFINES = -DHAS_FCHOWN

# -----------------------------------------------------------------------
# X Window System make variables; these need to be coordinated with rules

             XTOP = $(TOP)
           BINDIR = /usr/X11R6/bin
     BUILDINCROOT = $(TOP)/exports
      BUILDINCDIR = $(BUILDINCROOT)/include
      BUILDINCTOP = ../..
      BUILDLIBDIR = $(TOP)/exports/lib
      BUILDLIBTOP = ../..
      BUILDBINDIR = $(TOP)/exports/bin
      BUILDBINTOP = ../..
   BUILDMODULEDIR = $(BUILDLIBDIR)/modules
   BUILDMODULETOP = $(BUILDLIBTOP)/..
    XBUILDINCROOT = $(XTOP)/exports
     XBUILDINCDIR = $(XBUILDINCROOT)/include/X11
     XBUILDINCTOP = ../../..
     XBUILDBINDIR = $(XBUILDINCROOT)/bin
           INCDIR = $(INCROOT)
           ADMDIR = /usr/adm
           LIBDIR = $(USRLIBDIR)/X11
       LIBEXECDIR = /usr/X11R6/libexec
        MODULEDIR = $(USRLIBDIR)/modules
   TOP_X_INCLUDES =

        ETCX11DIR = /etc/X11

          CONFDIR = $(ETCX11DIR)

           DOCDIR = $(LIBDIR)/doc
       DOCHTMLDIR = $(DOCDIR)/html
         DOCPSDIR = $(DOCDIR)/PostScript
          FONTDIR = $(LIBDIR)/fonts
     ENCODINGSDIR = $(FONTDIR)/encodings
         XINITDIR = $(LIBDIR)/xinit
           XDMDIR = $(LIBDIR)/xdm
        XDMVARDIR = $(VARLIBDIR)/xdm
           TWMDIR = $(LIBDIR)/twm
           XSMDIR = $(LIBDIR)/xsm
           NLSDIR = $(LIBDIR)/nls
       XLOCALEDIR = $(LIBDIR)/locale
        PEXAPIDIR = $(LIBDIR)/PEX
      LBXPROXYDIR = $(LIBDIR)/lbxproxy
  PROXYMANAGERDIR = $(LIBDIR)/proxymngr
        XPRINTDIR = $(LIBDIR)/xserver
      XAPPLOADDIR = $(LIBDIR)/app-defaults
       FONTCFLAGS = -t

     INSTAPPFLAGS = $(INSTDATFLAGS)

              RGB = $(BINDIR)/rgb
            FONTC = $(BINDIR)/bdftopcf
        MKFONTDIR = $(BINDIR)/mkfontdir
         XFTCACHE = $(BINDIR)/xftcache
      MKHTMLINDEX = $(BINDIR)/mkhtmlindex
          UCS2ANY = $(BINDIR)/ucs2any.pl
      BDFTRUNCATE = $(BINDIR)/bdftruncate.pl
     UCSMAPPREFIX = $(FONTDIR)/util/map-

     HTMLINDEXCMD = $(MKHTMLINDEX)

       DOCUTILSRC = $(XTOP)/doc/util
        CLIENTSRC = $(TOP)/clients
          DEMOSRC = $(TOP)/demos
       XDOCMACROS = $(DOCUTILSRC)/macros.t
       XIDXMACROS = $(DOCUTILSRC)/indexmacros.t
       PROGRAMSRC = $(TOP)/programs
           LIBSRC = $(XTOP)/lib
          FONTSRC = $(XTOP)/fonts
     ENCODINGSSRC = $(FONTSRC)/encodings
       INCLUDESRC = $(BUILDINCROOT)/include
      XINCLUDESRC = $(INCLUDESRC)/X11
        SERVERSRC = $(XTOP)/programs/Xserver

## rasmol 2.7.5

=== debian/changelog ===
rasmol (2.7.5-3) unstable; urgency=low

  * Andreas Tille added upstream-metadata.yaml with bibliographic information.
  * Start maintaining rasmol with '3.0 (quilt)' source format with changes
    to upstream sources as patches generated from the git repository with gdp.
  * Add a 'debian/README.source' file.
  * Fix GTK deprecation warning in GtkSpinButtons (patch 06_spinbuttons).
  * Fix segfault in image exporting with GTK (patch 07_gtkexport).
  * Split older changes to upstream sources to separate patches with gdp and
    add DEP-3 in 'debian/metapatches':
    - 01_writemsg: Use WriteMsg() consistently for text output.
    - 02_x11shortcuts: Fix null pointer ref on File menu keyboard
        shortcuts in x11win.c.
    - 03_gtk_redraw: Fix screen update in GTK UI.
    - 04_imakefile: Debian changes to Imakefile.
    - 05_intwidth: Use C99 exact-width ints in typedefs.
    - 08_manfix: Rasmol man page fixes.
    - 09_uncompress_quote: Quote args to decompression programs when
        loading files.
  * control:
    - Build-Depend on new (versionless) libneartree-dev.
    - Remove duplicate Section in rasmol binary package.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 26 Apr 2011 17:11:48 +0200

rasmol (2.7.5-2) unstable; urgency=low

  * gtkwin.c:
    - Fix screen update on picking labels etc.
    - UpdateScrollBars(): Do not set ReDrawFlag
  * Use new function WriteMsg() for text output to X / GTK command line.
  * x11win.c: Fix null pointer reference on File menu keyboard shortcuts
    (closes: #400073).
  * control: Updgrade to standards-version 3.9.1.
  * copyright: Update to dep5 format and add info from this version.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 13 Oct 2010 15:18:26 +0200

rasmol (2.7.5-1) unstable; urgency=low

  * New upstream release
  * Imakefile: Use Debian versions of library dependencies
  * control:
    - Add build-deps to libcvector2-dev, libcqrlib2-dev, libneartree3-dev
    - Update to standards-version 3.8.3

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 16:48:04 +0100

rasmol (2.7.4.2-5) unstable; urgency=low

  * molecule.c: Add #define _GNU_SOURCE to get the correct definition
    of basename() (closes: #535133)

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 02 Jul 2009 15:39:45 +0200

rasmol (2.7.4.2-4) unstable; urgency=low

  * Increase debhelper compat to 7, build-dep on the same
  * rules: Rewrite and simplify using dh. Allow building GTK and
    X11 versions separately for testing
  * Add a bash_completion file
  * Merge patch insvn/gtk-shortcuts: Add various keyboard shortcuts
    to the GTK interface
  * Merge insvn/fileopen:
    - Add support for opening more than one file from the command
      line. (closes: #498261)
    - Fix reading files from stdin with '-' arg.
  * Merge insvn/switches:
    - Fix crashing of the GTK version when trying to output errors
      before initialising GUI (closes: #498261)
    - Accept options prefixed either with a single or double dash.
    - New command line options:
        -colour / color: Set default colour of a new molecule.
        -wireframe, -backbone, -sticks, -spacefill, -spheres, -ballstick,
            -ribbons, -strands, -cartoons: Set default representation
            of a new molecule.
    - New command line options in GTK version:
        -prompt, -noprompt, -scrolls, -noscrolls, -menus, -nomenus,
        -fullscreen: Set ui elements present after startup.
  * Merge insvn/vte-text-output: Write all text output through
    WriteChar() and WriteString().
  * Use direct VTE feeding with text output in GTK version,
    instead of PTYs
  * Make Delete key work and ignore unhandled terminal escape sequences.
  * Fixed debian/watch file, thanks to Daniel Leidert (closes: #520524)
  * Add an application icon to the GTK version
  * Fix recent files support in GTK version
  * Show file name in title, if the file does not have a PDB code
  * rasmol.h: Use C99 exact-width ints in some typedefs. Closes LP: #349585
  * Imakefile: Build with -Wall
  * Fix the Exec field in .desktop files to correctly handle multi-argument
    binaries, also add chemical/x-xyz mime-type

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 03 Jun 2009 20:06:55 +0200

rasmol (2.7.4.2-3) unstable; urgency=low

  * src/Imakefile: Remove hppa-specific CFLAGS (closes: #489471)
  * control: Change maintainer to Debian Science Maintainers
    <debian-science-maintainers@lists.alioth.debian.org>
  * control: Add Uploaders field. Add Teemu Ikonen <tpikonen@gmail.com>
    to Uploaders.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 11 Jul 2008 16:36:47 +0200

rasmol (2.7.4.2-2) unstable; urgency=low

  * control: change build-dep xutils to xutils-dev (should fix FTBS on hppa) 
  * control: Update to standards-version 3.8.0 

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 16 Jun 2008 14:29:55 +0200

rasmol (2.7.4.2-1) unstable; urgency=low

  * New upstream version
  * GTK changes included in upstream now  
  * Update to standards-version 3.7.3
  * Add build-dependency to cbflib-dev
  * Patch Imakefile to use debianized cbflib
  * Configure what GUI to use by regenerating Makefiles from the Imakefile
    during package build
  * Update copyright to reflect the new upstream version
  * Add MimeType=chemical/x-pdb to .desktop files, also fix them to be
    "desktop-file-validate" clean (closes: #460990)
  * Fixed color handling in the GTK version (closes: #442810)
  * Add Vcs-* fields pointing to debian-science git repository 
  * copyright: start conversion to machine readable format, convert to utf8
  * Fix lintian errors in rasmol manpage

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 26 May 2008 15:42:09 +0200

rasmol (2.7.3.1-3) unstable; urgency=low

  * Remove explicit strip command from debian/rules in favor of dh_strip
    (closes: #437884)
  * "Upstream" improvents from the GTK branch
    - Load help file from Help->User Manual
    - Abbreviate long filenames in the File menu list


=== debian/control ===
Source: rasmol
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/rasmol.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/rasmol.git
Homepage: http://rasmol.org
Build-Depends: debhelper (>= 7.0.0), xutils-dev, libx11-dev, libxext-dev,
 libxi-dev, x11proto-core-dev, libvte-dev, libgtk2.0-dev (>= 2.12.0),
 libcbf-dev, libcvector2-dev, libcqrlib2-dev, libcneartree-dev
Standards-Version: 3.9.1

Package: rasmol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rasmol-doc
Description: Visualize biological macromolecules
 RasMol is a molecular graphics program intended for the visualisation of
 proteins, nucleic acids and small molecules. The program is aimed at
 display, teaching and generation of publication quality images.
 .
 The program reads in a molecule coordinate file and interactively displays
 the molecule on the screen in a variety of colour schemes and molecule
 representations. Currently available representations include depth-cued
 wireframes, 'Dreiding' sticks, spacefilling (CPK) spheres, ball and stick,
 solid and strand biomolecular ribbons, atom labels and dot surfaces.
 .
 Supported input file formats include Protein Data Bank (PDB), Tripos
 Associates' Alchemy and Sybyl Mol2 formats, Molecular Design Limited's
 (MDL) Mol file format, Minnesota Supercomputer Center's (MSC) XYZ (XMol)
 format, CHARMm format, CIF format and mmCIF format files.
 .
 This package installs two versions of RasMol, rasmol-gtk has a modern
 GTK-based user interface and rasmol-classic is the version with the old
 Xlib GUI.


Package: rasmol-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: rasmol
Description: Documentation for rasmol
 Extra documentation for Rasmol, a program to visualize biological
 macromolecules. Included are the Rasmol manual in various formats,
 a command reference card and a copy of the openrasmol website,
 http://rasmol.org.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-gtk: src/rasmol-gtk
src/rasmol-gtk:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DGTKWIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src
	mv src/rasmol src/rasmol-gtk

build-x11: src/rasmol.8 src/rasmol.16 src/rasmol.32

src/rasmol.8:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DEIGHTBIT=1 rasmol
	mv src/rasmol src/rasmol.8

src/rasmol.16:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DSIXTEENBIT=1 rasmol
	mv src/rasmol src/rasmol.16

src/rasmol.32:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DTHIRTYTWOBIT=1 rasmol
	mv src/rasmol src/rasmol.32

build-arch: build-gtk build-x11

build-indep:
	dh_testdir
	zcat doc/manualA4.pdf.gz > manualA4.pdf
	zcat doc/refcardA4.pdf.gz > refcardA4.pdf

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	if [ -f src/Makefile ] ; then $(MAKE) -C src distclean ; fi
	-rm -f src/rasmol-gtk src/rasmol.32 src/rasmol.16 src/rasmol.8
	-rm -f src/gtkui.h
	-rm -f manualA4.pdf refcardA4.pdf
	dh clean

install:
	dh install --before dh_installchangelogs
	dh_installchangelogs ChangeLog.txt
	dh install --before dh_compress
	dh_compress -X.pdf
	dh install --after dh_compress
	install -D -m 755 debian/rasmol-classic.sh.debian \
               $(CURDIR)/debian/rasmol/usr/bin/rasmol-classic
	install -D -m u=rw,go=r debian/rasmol.bash_completion \
               $(CURDIR)/debian/rasmol/etc/bash_completion.d/rasmol

binary-indep: build install
	dh binary-indep

binary-arch: build install
	dh binary-arch

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep build-gtk build-x11 clean binary-indep binary-arch binary install

## rasmol 2.7.5.2

=== debian/changelog ===
rasmol (2.7.5.2-2) unstable; urgency=low

  [ Andreas Tille ]
  * renamed debian/upstream-metadata.yaml to debian/upstream
  * debian/upstream: Added DOI & PMID

  [ Teemu Ikonen ]
  * control:
    - Add build-dep to dpkg-dev (>= 1.16.1~)
    - Update standards-version to 3.9.4
  * rules:
    - Export dpkg-buildflags with all hardening options.
    - Run xmkmf only twice per build.
  * Patch imakefile:
    - Get CFLAGS and LDFLAGS from dpkg-buildflags
    - Prune LDLIBS to avoid unnecessary dependencies.
  * New patches:
    - glibsubheaders: Do not include individual glib headers.
      Thanks to Michael Biebl for the patch (closes: #665605).
    - format-security: Fix sprintf calls which fail when compiling
      with -werror=format-security

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 27 May 2013 17:31:54 +0200

rasmol (2.7.5.2-1) unstable; urgency=low

  * New upstream version.
  * control: Upgrade to standards-version 3.9.2.
  * Upgrade debhelper compat and build-dep to 8.
  * copyright:
    - Update DEP5 format and contents to latest release.
    - Add copyright info for PDB files.
  * rules: Use override targets instead of --before and --after.
  * Patches:
    - gtk-tiff-lzw: New patch, Write TIFFs with LZW compression in
      GTK version.
    - gtkabout: New patch, fixes broken icon in GTK About dialog.
    - manfix: Fix typos, escape minuses (fixes lintian warning
      hyphen-used-as-minus-sign).
    - writemsg, x11shortcuts, gtk_redraw, uncompress_quote: Included in
      new upstream version, removed.
  * Add a large PNG logo.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 18 Nov 2011 17:31:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/rasmol.git
 Vcs-Git: http://git.debian.org/git/debian-science/packages/rasmol.git
 Homepage: http://rasmol.org
-Build-Depends: debhelper (>= 7.0.0), xutils-dev, libx11-dev, libxext-dev,
- libxi-dev, x11proto-core-dev, libvte-dev, libgtk2.0-dev (>= 2.12.0),
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~),
+ xutils-dev, libx11-dev, libxext-dev, libxi-dev, x11proto-core-dev,
+ libvte-dev, libgtk2.0-dev (>= 2.12.0),
  libcbf-dev, libcvector2-dev, libcqrlib2-dev, libcneartree-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 
 Package: rasmol
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

build-gtk: src/rasmol-gtk
src/rasmol-gtk:
	dh_testdir
	-rm -f x11-stamp
	cd $(CURDIR)/src ; xmkmf -DGTKWIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src
	mv src/rasmol src/rasmol-gtk

build-x11: src/rasmol.8 src/rasmol.16 src/rasmol.32

x11-stamp:
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	touch $@

src/rasmol.8: x11-stamp
	dh_testdir
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DEIGHTBIT=1 rasmol
	mv src/rasmol src/rasmol.8

src/rasmol.16: x11-stamp
	dh_testdir
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DSIXTEENBIT=1 rasmol
	mv src/rasmol src/rasmol.16

src/rasmol.32: x11-stamp
	dh_testdir
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DTHIRTYTWOBIT=1 rasmol
	mv src/rasmol src/rasmol.32

build-arch: build-gtk build-x11

build-indep:
	dh_testdir
	zcat doc/manualA4.pdf.gz > manualA4.pdf
	zcat doc/refcardA4.pdf.gz > refcardA4.pdf

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	if [ -f src/Makefile ] ; then $(MAKE) -C src distclean ; fi
	-rm -f src/rasmol-gtk src/rasmol.32 src/rasmol.16 src/rasmol.8
	-rm -f src/gtkui.h
	-rm -f manualA4.pdf refcardA4.pdf
	-rm -f x11-stamp
	dh clean


override_dh_compress:
	dh_compress -X.pdf

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog.txt

install:
	dh install
	install -D -m 755 debian/rasmol-classic.sh.debian \
               $(CURDIR)/debian/rasmol/usr/bin/rasmol-classic
	install -D -m u=rw,go=r debian/rasmol.bash_completion \
               $(CURDIR)/debian/rasmol/etc/bash_completion.d/rasmol

binary-indep: build install
	dh binary-indep

binary-arch: build install
	dh binary-arch

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep build-gtk build-x11 clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
ftp://ftp.bernstein-plus-sons.com/software/RasMol_([\d.]+)\.tar\.gz

## rasmol 2.7.5.2+dfsg

=== debian/changelog ===
rasmol (2.7.5.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Moved debian/upstream to debian/upstream/metadata
  * Add Registration field to upstream metadata
  * cme fix dpkg-control; cme fix dpkg-copyright
  * debhelper 11
  * Standards-Version: 4.1.4
  * Point VCS fields to Salsa
  * Build-Depends: bash-completion
  * Remove unsafe symlinks and unneeded binaries from source tarball
  * Avoid privacy breach by keeping logo image locally
  * Fix maintainer address
  * Fix spelling issues

  [ Fernando Seiti Furusato ]
  * Fix undefined vector through -Uvector so the keyword does not conflict with
    the gcc macro with the same name.
    Closes: #767296

  [ Laura Arjona Reina ]
  * Fix short descriptions
    Closes: #821023

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 11:13:56 +0200

=== debian/control ===
Source: rasmol
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               bash-completion,
               xutils-dev,
               libx11-dev,
               libxext-dev,
               libxi-dev,
               x11proto-core-dev,
               libvte-dev,
               libgtk2.0-dev,
               libcbf-dev,
               libcvector2-dev,
               libcqrlib2-dev,
               libcneartree-dev
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/rasmol
Vcs-Git: https://salsa.debian.org/science-team/rasmol.git
Homepage: http://rasmol.org

Package: rasmol
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: chemical-mime-data
Suggests: rasmol-doc
Description: visualization of biological macromolecules
 RasMol is a molecular graphics program intended for the visualisation of
 proteins, nucleic acids and small molecules. The program is aimed at
 display, teaching and generation of publication quality images.
 .
 The program reads in a molecule coordinate file and interactively displays
 the molecule on the screen in a variety of colour schemes and molecule
 representations. Currently available representations include depth-cued
 wireframes, 'Dreiding' sticks, spacefilling (CPK) spheres, ball and stick,
 solid and strand biomolecular ribbons, atom labels and dot surfaces.
 .
 Supported input file formats include Protein Data Bank (PDB), Tripos
 Associates' Alchemy and Sybyl Mol2 formats, Molecular Design Limited's
 (MDL) Mol file format, Minnesota Supercomputer Center's (MSC) XYZ (XMol)
 format, CHARMm format, CIF format and mmCIF format files.
 .
 This package installs two versions of RasMol, rasmol-gtk has a modern
 GTK-based user interface and rasmol-classic is the version with the old
 Xlib GUI.

Package: rasmol-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: rasmol
Multi-Arch: foreign
Description: documentation for rasmol
 Extra documentation for Rasmol, a program to visualize biological
 macromolecules. Included are the Rasmol manual in various formats,
 a command reference card and a copy of the openrasmol website,
 http://rasmol.org.

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 src/rasmol-gtk:
 	dh_testdir
 	-rm -f x11-stamp
-	cd $(CURDIR)/src ; xmkmf -DGTKWIN ; cd $(CURDIR)
+	cd $(CURDIR)/src ; xmkmf '-DGTKWIN -Uvector' ; cd $(CURDIR)
 	$(MAKE) -C src clean;
 	$(MAKE) -C src
 	mv src/rasmol src/rasmol-gtk
@@ -16,7 +16,7 @@
 build-x11: src/rasmol.8 src/rasmol.16 src/rasmol.32
 
 x11-stamp:
-	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
+	cd $(CURDIR)/src ; xmkmf '-DX11WIN -Uvector' ; cd $(CURDIR)
 	touch $@
 
 src/rasmol.8: x11-stamp
@@ -63,18 +63,12 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt
 
-install:
-	dh install
-	install -D -m 755 debian/rasmol-classic.sh.debian \
-               $(CURDIR)/debian/rasmol/usr/bin/rasmol-classic
-	install -D -m u=rw,go=r debian/rasmol.bash_completion \
-               $(CURDIR)/debian/rasmol/etc/bash_completion.d/rasmol
-
-binary-indep: build install
+binary-indep: build-indep
 	dh binary-indep
 
-binary-arch: build install
-	dh binary-arch
+binary-arch: build-arch
+	dh binary-arch --with bash-completion
+
 
 binary: binary-arch binary-indep
 .PHONY: build build-arch build-indep build-gtk build-x11 clean binary-indep binary-arch binary install

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  http://sf.net/openrasmol/RasMol-([\d.]+)\.tar\.gz

## rasmol 2.7.6.0

=== doc/Makefile ===
CC = cc
CFLAGS = -O2

prepdoc:	prepdoc.c
		$(CC) $(CFLAGS) -o prepdoc prepdoc.c

rasmol.txt:	prepdoc rasmol.doc
		rm -f rasmol.txt
		prepdoc -text rasmol.doc > rasmol.txt
		gzip --best < rasmol.txt > rasmol.txt.gz

rasmol.html:	prepdoc rasmol.doc
		rm -f rasmol.html
		prepdoc -html rasmol.doc > rasmol.html
		gzip --best < rasmol.html > rasmol.html.gz

rasmol.hlp:	prepdoc rasmol.doc
		rm -f rasmol.hlp
		prepdoc -help rasmol.doc > rasmol.hlp
		gzip --best < rasmol.hlp > rasmol.hlp.gz

rasmol.tex:	prepdoc rasmol.doc
		rm -f rasmol.tex
		prepdoc -latex rasmol.doc > rasmol.tex
		gzip --best < rasmol.tex > rasmol.tex.gz

raswin.rtf:	prepdoc rasmol.doc
		rm -f raswin.rtf
		prepdoc -rtf rasmol.doc > raswin.rtf
		gzip --best < raswin.rtf > raswin.rtf.gz

rasmol.man:	prepdoc rasmol.doc
		rm -f rasmol.man
		prepdoc -troff rasmol.doc > rasmol.man
		cp rasmol.man rasmol.1
		gzip --best < rasmol.1 > rasmol.1.gz

rasmol.vms:	prepdoc rasmol.doc
		rm -f rasmol.vms
		prepdoc -vms rasmol.doc > rasmol.vms
		gzip --best < rasmol.vms > rasmol.vms.gz

all:		rasmol.txt rasmol.hlp rasmol.html raswin.rtf rasmol.vms rasmol.tex rasmol.man

=== debian/changelog ===
rasmol (2.7.6.0-4) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 23:04:16 +0200

rasmol (2.7.6.0-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 19:08:22 +0100

rasmol (2.7.6.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2020 15:38:48 +0100

rasmol (2.7.6.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Revert change of maintainer address since this should not be changed

  [ Teemu Ikonen ]
  * New upstream version.
  * All patches are upstreamed, except imakefile.
  * imakefile:
    - Add include paths also for old CBFlib version.
    - Use hand-crafted GTKLIBS to reduce binary deps.
  * Set Standards-Version: 4.2.1
  * Build-dep on new cvector and cqrlib dev pkgs.
  * Build-dep on GTK3 and libvte-2.91 (closes: #790196)
  * Remove rasmollogo.jpg from debian/ (it's in html_graphics)
  * debian/changelog: Remove trailing whitespace.
  * Add Keywords-field to .desktop files.
  * watch: Check new releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 22 Oct 2018 11:18:33 +0300

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: rasmol
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Teemu Ikonen <tpikonen@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                bash-completion,
                xutils-dev,
                libx11-dev,
                libxext-dev,
                libxi-dev,
                x11proto-core-dev,
-               libvte-dev,
-               libgtk2.0-dev,
+               libvte-2.91-dev,
+               libgtk-3-dev,
                libcbf-dev,
-               libcvector2-dev,
-               libcqrlib2-dev,
+               libcvector-dev,
+               libcqrlib-dev,
                libcneartree-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/rasmol
 Vcs-Git: https://salsa.debian.org/science-team/rasmol.git
 Homepage: http://rasmol.org
+Rules-Requires-Root: no
 
 Package: rasmol
 Architecture: any
@@ -49,10 +50,10 @@
 
 Package: rasmol-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Enhances: rasmol
-Multi-Arch: foreign
 Description: documentation for rasmol
  Extra documentation for Rasmol, a program to visualize biological
  macromolecules. Included are the Rasmol manual in various formats,

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export PKGDIR=/usr
+
 build-gtk: src/rasmol-gtk
 src/rasmol-gtk:
 	dh_testdir
 	-rm -f x11-stamp
-	cd $(CURDIR)/src ; xmkmf '-DGTKWIN -Uvector' ; cd $(CURDIR)
+	cd $(CURDIR)/src ; xmkmf '-DGTKWIN -DGTK3 -Uvector' ; cd $(CURDIR)
 	$(MAKE) -C src clean;
 	$(MAKE) -C src
 	mv src/rasmol src/rasmol-gtk
@@ -63,6 +65,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt
 
+override_dh_install:
+	dh_install -Xrasmollogo_22Jun99.jpg
+
 binary-indep: build-indep
 	dh binary-indep

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
    https://github.com/rasmol/rasmol/tags \
    (?:.*?/)RasMol-?(\d[\d.]*)\.tar\.gz
